from pwn import *
import sys

context.binary = elf = ELF("./file")
rop = ROP(elf)
libc = ELF("./libc.so.6")
rop_libc = ROP(libc)
ld = ELF("./ld-linux-x86-64.so.2")
io = process("./vuln")

if sys.argv[1] == "GDB":
    gdb_commands = """
        break main
    """
    gdb.attach(io, gdb_commands)


print(io.recvuntil("Enter your name: "))

# *************** EXPLOIT PART *************** #
payload = b""



# *************** EXPLOIT END *************** #

io.sendline(payload)

io.interacitve()
